com.google.gwt.user.client.ui

## Interface SourcesMouseEvents

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DialogBox.CaptionImpl, DoubleBox, FileUpload, FocusPanel, FocusWidget, HTML, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

Deprecated.
use `HasAllMouseHandlers` instead

    @Deprecated
    public interface SourcesMouseEvents

A widget that implements this interface sources the events defined by the `MouseListener` interface.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addMouseListener(MouseListener listener)` Deprecated. use add* methods of `HasAllMouseHandlers` instead
`void` `removeMouseListener(MouseListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

### Method Detail

#### addMouseListener

    @Deprecated
    void addMouseListener(MouseListener listener)

Deprecated. use add* methods of `HasAllMouseHandlers` instead
Adds a listener interface to receive mouse events.

Parameters:
  `listener` - the listener interface to add

#### removeMouseListener

    @Deprecated
    void removeMouseListener(MouseListener listener)

Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead
Removes a previously added listener interface.

Parameters:
  `listener` - the listener interface to remove